**View the "Intro to Scrum in Under 10 Minutes," located in the topic Resources. How and where do you think Scrum would have benefited you in past projects and how will this benefit in this project? Comment on at least two of your classmates' posts.**

Upon reviewing the [Intro to Scrum in Under 10 Minutes](https://www.youtube.com/watch?v=QwQuro7ekvc&t=172s) video, I have recognized its massive potential for enhancing project management and execution. Scrum, emphasizing iterative progress, continuous feedback, and team collaboration, could have substantially improved several past projects. Currently, I am working in a team using Agile and have played a part in a few sprints for the project I am working on.

Recalling the various school projects I have completed, I can see areas for opportunity and how implementing the Agile methodology would have significantly enhanced the planning and execution. The introduction of Scrum would have allowed for quicker adjustments and improved product quality by following its iterative approach and embracing its values of openness, focus, and commitment.

As for my current project, Scrum will provide a roadmap of incremental steps, allowing for better workload management and efficient handling of complexities. Its empirical control theory (inspect, adapt, and transparency) would enable me to assess progress and adapt to changes regularly. I anticipate Scrum will be an effective tool to handle project challenges, enhance team collaboration (in the future), and deliver high-quality results.
